link-grammar_4.7.4-2_amd64.deb


Advertisement

Description

link-grammar - Carnegie Mellon University's link grammar parser

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: link-grammar
Package version: 4.7.4
Package release: 2
Package architecture: amd64
Package type: deb
Installed size: 124 B
Download size: 41.59 KB
Official Mirror: ftp.br.debian.org
In Selator, D. and Temperly, D. "Parsing English with a Link Grammar" (1991), the authors defined a new formal grammatical system called a "link grammar". A sequence of words is in the language of a link grammar if there is a way to draw "links" between words in such a way that the local requirements of each word are satisfied, the links do not cross, and the words form a connected graph. The authors encoded English grammar into such a system, and wrote this program to parse English using this grammar. link-grammar can be used for linguistic parsing for information retrieval or extraction from natural language documents. It can also be used as a grammar checker. This package contains the user-executable binary.

Alternatives

    Download

    Source package: link-grammar

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install link-grammar deb package:
      # sudo apt-get install link-grammar

    Files

    • /usr/bin/link-parser
    • /usr/share/doc/link-grammar/AUTHORS
    • /usr/share/doc/link-grammar/README.gz
    • /usr/share/doc/link-grammar/TODO
    • /usr/share/doc/link-grammar/changelog.Debian.gz
    • /usr/share/doc/link-grammar/changelog.gz
    • /usr/share/doc/link-grammar/copyright
    • /usr/share/man/man1/link-parser.1.gz
    • /usr/share/menu/link-grammar

    Changelog

    2011-04-29 - Ken Bloom <kbloom@gmail.com> link-grammar (4.7.4-2) unstable; urgency=low * Update homepage (Closes: #618610) * Remove debhelper boilerplate from debian/watch

    2011-02-25 - Ken Bloom <kbloom@gmail.com> link-grammar (4.7.4-1) unstable; urgency=low * New upstream release * Make binary package link-grammar Multi-Arch: foreign

    2010-10-26 - Ken Bloom <kbloom@gmail.com> link-grammar (4.7.0-1) unstable; urgency=low * New upstream release. * Update standards version to 3.9.1

    2010-05-05 - Ken Bloom <kbloom@gmail.com> link-grammar (4.6.7-1) unstable; urgency=low * New upstream release. (Closes: 576201) * Don't install /usr/lib/*.la files (Closes: 570633) Various commenters on #570633 tell me this works when rebuilding other packages against link-grammar, so I'm going to trust them unless someone reports another bug. * Update standards version to 3.8.4 * Add debian/source/format = 1.0

    2009-11-18 - Ken Bloom <kbloom@gmail.com> link-grammar (4.6.5-1) unstable; urgency=low * New upstream release * Set JAVA_HOME correctly during build. * Link with -Wl,--as-needed so that CLI and JNI library don't have direct dependencies on the spell checker. * Versioned depends of liblink-grammar4-dev on liblink-grammar4 fixes lintian error. * Update standards-version to 3.8.3 fixes lintian warning. * Add symbols file for shlibs * Update short descriptions so they don't match for all packages

    2009-08-13 - Ken Bloom <kbloom@gmail.com> link-grammar (4.5.8-1) unstable; urgency=low * New upstream release.

    2009-07-01 - Ken Bloom <kbloom@gmail.com> link-grammar (4.5.7-2) unstable; urgency=low * Fix bashism in debian/rules (Closes: 535405)

    2009-06-22 - Ken Bloom <kbloom@gmail.com> link-grammar (4.5.7-1) unstable; urgency=low * New upstream release. * Bump standards version to 3.8.2 (No changes needed).

    2009-05-26 - Ken Bloom <kbloom@gmail.com> link-grammar (4.5.6-1) unstable; urgency=low * New upstream release.

    2009-05-19 - Ken Bloom <kbloom@gmail.com> link-grammar (4.5.5-1) unstable; urgency=low * New upstream release. * Fix /usr/share/java/link-grammar.jar symlink to not include the build dir * Update minimum debhelper build-dep to >= 7.0.0 * Fix spelling errors in changelog, copyright

    Advertisement
    Advertisement